package com.itbaizhan;

import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

public class Container {
    //将对象放到map中
    static Map<String,Object> map =new HashMap();
    //类加载的静态代码块
    static {
        //读取配置文件
        InputStream is =
                Container.class.getClassLoader().getResourceAsStream("bean.properties");
        Properties properties = new Properties();
        try {
            properties.load(is);
        } catch (IOException e) {
            e.printStackTrace();
        }
        //遍历配置文件中的所有对象
        Enumeration<Object> keys = properties.keys();
        while (keys.hasMoreElements()){
            String key = keys.nextElement().toString();
            String value = properties.getProperty(key);
            //反射创建对象
            try {
                Object o = Class.forName(value).newInstance();
                //对象放到集合中
                map.put(key,o);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        //
    }
    //从容器中获取对象
    public static Object getBean(String key){
        return map.get(key);
    }

}
